###########################################################################
#  Vintel - Visual Intel Chat Analyzer                                    #
#  Copyright (C) 2014-15 Sebastian Meyer (sparrow.242.de+eve@gmail.com )  #
#                                                                         #
#  This program is free software: you can redistribute it and/or modify   #
#  it under the terms of the GNU General Public License as published by   #
#  the Free Software Foundation, either version 3 of the License, or      #
#  (at your option) any later version.                                    #
#                                                                         #
#  This program is distributed in the hope that it will be useful,        #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of         #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          #
#  GNU General Public License for more details.                           #
#                                                                         #
#                                                                         #
#  You should have received a copy of the GNU General Public License      #
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.  #
###########################################################################

import json
import urllib
import urllib2

def check(parts):
    data = {}
    base_url = "http://kos.cva-eve.org/api/?c=json&type=multi&q="
    names = (name.strip() for name in parts)
    quoted_names = urllib.quote_plus(",".join(names))
    target_url = "".join((base_url, quoted_names))
    request = urllib2.urlopen(target_url)
    kosdata = json.loads(request.read())
    for char in kosdata["results"]:
        if char["kos"] or char["corp"]["kos"] \
           or char["corp"]["alliance"]["kos"]:
            kos = True
        else:
            kos = False
        data[char["label"]] = {"kos": kos}
    return data

def result_to_text(result, only_kos=False):
    text = ""
    kos = []
    not_kos = []
    for name, data in result.items():
        if not only_kos or data["kos"]:
            if data["kos"]:
                kos.append(name)
            else:
                not_kos.append(name)
    if kos:
        text = "KOS: " + ", ".join(kos)
    if not_kos:
        if text:
            text = text + "\n"
        text = text + "NOT kos: " + ", ".join(not_kos)
    return text
